Validate IBAN

Validates an IBAN and returns the bank it belongs to. IBANs from any of the supported countries (currently 14, e.g. AE, GB, and SEPA countries such as FR, DE, ES, IT, NL) are accepted. Useful for verifying a recipient's bank details before creating them.

This endpoint always returns 200 OK for a well-formed request — an invalid IBAN is not an error, it's reflected by valid: false in the response. When valid is false, country_code, bic_code, and bank_name are omitted, and an errors array is included instead, e.g.:

{ "iban": "AE0700000000000000000000", "valid": false, "errors": ["bad_check_digits"] }

Possible errors values: too_short, bad_chars, unknown_country_code, bad_length, bad_bban_format, bad_check_digits.

Query Params
string
required
Defaults to AE070331234567890123456

The IBAN to validate.

Headers
string
Responses

500

Unexpected error

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json